# Politician Portfolios `GET` `https://api.unusualwhales.com/api/politician-portfolios/{politician_id}` Returns all portfolios and holdings for a politician. This is an enterprise only endpoint. Contact dev@unusualwhales.com for details about accessing this data. ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Path Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `politician_id` | string | Yes | | ## Query Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `aggregate_all_portfolios` | boolean | No | If true, aggregates all portfolios into a single portfolio named 'aggregated'. Default is false. Note that this does not aggregate holdings within a portfolio, only across portfolios. | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `crypto_holdings` | array[Crypto Holding] | The portfolio crypto holdings. | | `id` | string | The portfolio ID. | | `last_annual_disclosure` | integer | The year of this portfolio's latest annual disclosure. | | `option_holdings` | array[Option Holding] | The portfolio option holdings. | | `owner` | string | The portfolio owner's name. Is "aggregated" when aggregate_all_portfolios is true. | | `stock_holdings` | array[Stock Holding] | The portfolio stock and ETF holdings. | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/politician-portfolios/{politician_id}" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/politician-portfolios/{politician_id}", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": [ { "crypto_holdings": [], "id": "6361b0d9-ad41-424a-9c42-afa5f3393e69", "last_annual_disclosure": 2023, "option_holdings": [], "owner": "self", "stock_holdings": [ { "max_amount": 15, "mid_amount": 7, "min_amount": 1, "ticker": "XYZ", "type": "stock" }, { "max_amount": 505, "mid_amount": 328, "min_amount": 151, "ticker": "RHP", "type": "stock" } ] } ] } ```